module PortalTemplate
  class Engine < ::Rails::Engine
  	initializer "portal_template" do
		OrbitApp.registration "PortalTemplate",:type=> 'ModuleApp' do
			module_label 'module_name.portal_template'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '45', :app_name=>"Portal", :path=>"/plugin/portal_template/profile", :front_path=>"/profile", :admin_path=>"/admin/portal_template", :i18n=>'module_name.portal_template', :module_app_name=>'PortalTemplate',:analysis => true, :analysis_path => "/admin/portal_template/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			authorizable
			is_personal_plugin true
		  frontend_enabled
      icon_class_no_sidebar "icons-user"
      data_count 1..10
		end
	end
  end
end
